Skip to main content
`Ctrl`+`K`

# DMAdaptorMonitorErrorDrawLGCreate

Creates the context for the error plotter `DMAdaptorMonitorErrorDrawLG()`

## Synopsis

    #include "petscdmadaptor.h"
    PetscErrorCode DMAdaptorMonitorErrorDrawLGCreate(PetscViewer viewer, PetscViewerFormat format, PetscCtx ctx, PetscViewerAndFormat **vf)

Collective

## Input Parameters

- viewer - The `PetscViewer`

- format - The viewer format

- ctx - An optional user context

## Output Parameter

- vf - The viewer context

## See Also

SNES: Nonlinear Solvers, `PETSCVIEWERDRAW`, `PetscViewerMonitorGLSetUp()`, `DMAdaptor`, `DMAdaptorMonitorSet()`, `DMAdaptorMonitorErrorDrawLG()`

## Level

intermediate

## Location

src/snes/utils/dm/dmadapt.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages